## GgitBlameOptions GgitBlameOptions |

## Functions

GgitBlameOptions * | ggit_blame_options_copy ()
void | ggit_blame_options_free ()
GgitBlameOptions * | ggit_blame_options_new ()
GgitOId * | ggit_blame_options_get_newest_commit ()
void | ggit_blame_options_set_newest_commit ()
GgitOId * | ggit_blame_options_get_oldest_commit ()
void | ggit_blame_options_set_oldest_commit ()
guint32 | ggit_blame_options_get_minimum_line ()
void | ggit_blame_options_set_minimum_line ()
guint32 | ggit_blame_options_get_maximum_line ()
void | ggit_blame_options_set_maximum_line ()
guint16 | ggit_blame_options_get_minimum_match_characters ()
void | ggit_blame_options_set_minimum_match_characters ()

## Description

## Functions

### ggit_blame_options_copy ()

    GgitBlameOptions *
    ggit_blame_options_copy (GgitBlameOptions *blame_options);

Copies `blame_options` into a newly allocated GgitBlameOptions.

#### Parameters

blame_options | a GgitBlameOptions. |

#### Returns

a newly allocated GgitBlameOptions or `NULL`.

[transfer full][nullable]

### ggit_blame_options_free ()

    void
    ggit_blame_options_free (GgitBlameOptions *blame_options);

Frees `blame_options` .

#### Parameters

blame_options | a GgitBlameOptions. |

### ggit_blame_options_new ()

    GgitBlameOptions *
    ggit_blame_options_new (void);

Create a new, empty GgitBlameOptions.

#### Returns

a newly allocated GgitBlameOptions.

[transfer full]

### ggit_blame_options_get_newest_commit ()

    GgitOId *
    ggit_blame_options_get_newest_commit (GgitBlameOptions *blame_options);

Get the id of the newest commit to consider in the blame. The default value of `NULL` indicates to use HEAD.

#### Parameters

blame_options | a GgitBlameOptions. |

#### Returns

a GgitOId or `NULL`.

[transfer full][nullable]

### ggit_blame_options_set_newest_commit ()

    void
    ggit_blame_options_set_newest_commit (GgitBlameOptions *blame_options,
                                          GgitOId *oid);

Set the id of the newest commit to consider in the blame. Specify `NULL` to set the default value which indicates to use HEAD.

#### Parameters

blame_options | a GgitBlameOptions. |
oid | a GgitOId or `NULL`. | [allow-none]

### ggit_blame_options_get_oldest_commit ()

    GgitOId *
    ggit_blame_options_get_oldest_commit (GgitBlameOptions *blame_options);

Get the id of the oldest commit to consider in the blame. Teh default value of `NULL` indicates to used HEAD.

#### Parameters

blame_options | a GgitBlameOptions. |

#### Returns

a GgitOId or `NULL`.

[transfer full][nullable]

### ggit_blame_options_set_oldest_commit ()

    void
    ggit_blame_options_set_oldest_commit (GgitBlameOptions *blame_options,
                                          GgitOId *oid);

Set the id of the oldest commit to consider in the blame. Specify `NULL` to set the default value which indicates to consider the first commit without a parent.

#### Parameters

blame_options | a GgitBlameOptions. |
oid | a GgitOId. | [allow-none]

### ggit_blame_options_get_minimum_line ()

    guint32
    ggit_blame_options_get_minimum_line (GgitBlameOptions *blame_options);

Get the first line in the file to consider. The default is 1.

#### Parameters

blame_options | a GgitBlameOptions. |

#### Returns

the first line to consider.

### ggit_blame_options_set_minimum_line ()

    void
    ggit_blame_options_set_minimum_line (GgitBlameOptions *blame_options,
                                         guint32 line);

Set the first line in the file to consider. Lines start at 1.

#### Parameters

blame_options | a GgitBlameOptions. |
line | the first line to consider. |

### ggit_blame_options_get_maximum_line ()

    guint32
    ggit_blame_options_get_maximum_line (GgitBlameOptions *blame_options);

Get the last line in the file to consider. The default is 1.

#### Parameters

blame_options | a GgitBlameOptions. |

#### Returns

the last line to consider.

### ggit_blame_options_set_maximum_line ()

    void
    ggit_blame_options_set_maximum_line (GgitBlameOptions *blame_options,
                                         guint32 line);

Set the last line in the file to consider. Lines start at 1.

#### Parameters

blame_options | a GgitBlameOptions. |
line | the last line to consider. |

### ggit_blame_options_get_minimum_match_characters ()

    guint16
    ggit_blame_options_get_minimum_match_characters
                                   (GgitBlameOptions *blame_options);

Get the minimum number of characters that must be detected as moving/copying within a file for it to associate those lines with a parent commit. This is only used when any of the GGIT_BLAME_TRACK_COPIES_SAME_FILE flag is specified. The default value is 20.

#### Parameters

blame_options | a GgitBlameOptions. |

#### Returns

the minimum number of characters.

### ggit_blame_options_set_minimum_match_characters ()

    void
    ggit_blame_options_set_minimum_match_characters
                                   (GgitBlameOptions *blame_options,
                                    guint16 characters);

Set the minimum number of characters that must be detected as moving/copying within a file for it to associate those lines with a parent commit. This is only used when any of the GGIT_BLAME_TRACK_COPIES_ flags are specified. The default value is 20.

#### Parameters

blame_options | a GgitBlameOptions. |
characters | the minimum number of characters. |

## Types and Values